Bio Radio SDK - Xamarin Android: CommonDeviceAPI.Android.BlueToothTransport Class Reference

| Bio Radio SDK - Xamarin Android

Public Member Functions | Properties | List of all members
CommonDeviceAPI.Android.BlueToothTransport Class Reference

Blue Tooth tranport class. More...

Inheritance diagram for CommonDeviceAPI.Android.BlueToothTransport:

## Public Member Functions

void | OpenConnection ()
| Open a connection. More...
void | CloseConnection ()
| Close a connection. More...
| BlueToothTransport (string macId)
| Blue tooth transport constructor - param: string MacId. More...
| BlueToothTransport (long macId)
| Blue tooth transport constructor - param: long MacId. More...
void | Dispose ()
| Dispose a blue tooth transport stream. More...

## Properties

Stream | BaseStream`[get]`
| Get a Base Stream property More...
long | AvailableBytes`[get]`
| Get the length of available bytes. More...
bool | IsOpen`[get]`
| Get and set Is Open property. More...
Properties inherited from GLNeuroTech.Devices.Common.TransportLayer.IDeviceTransport
Stream | BaseStream`[get]`
bool | IsOpen`[get]`

## Detailed Description

Blue Tooth tranport class.

## Constructor & Destructor Documentation

## ◆ BlueToothTransport() [1/2]

CommonDeviceAPI.Android.BlueToothTransport.BlueToothTransport | ( | string | macId | ) |

Blue tooth transport constructor - param: string MacId.

Parameters

  macId | Take a mac Id as a string parameter.

## ◆ BlueToothTransport() [2/2]

CommonDeviceAPI.Android.BlueToothTransport.BlueToothTransport | ( | long | macId | ) |

Blue tooth transport constructor - param: long MacId.

Parameters

  macId | Take a mac Id as a long - parameter.

## Member Function Documentation

## ◆ CloseConnection()

void CommonDeviceAPI.Android.BlueToothTransport.CloseConnection | ( |  | ) |

Close a connection.

Implements GLNeuroTech.Devices.Common.TransportLayer.IDeviceTransport.

## ◆ Dispose()

void CommonDeviceAPI.Android.BlueToothTransport.Dispose | ( |  | ) |

Dispose a blue tooth transport stream.

## ◆ OpenConnection()

void CommonDeviceAPI.Android.BlueToothTransport.OpenConnection | ( |  | ) |

Open a connection.

Implements GLNeuroTech.Devices.Common.TransportLayer.IDeviceTransport.

## Property Documentation

## ◆ AvailableBytes

long CommonDeviceAPI.Android.BlueToothTransport.AvailableBytes

get

Get the length of available bytes.

## ◆ BaseStream

Stream CommonDeviceAPI.Android.BlueToothTransport.BaseStream

get

Get a Base Stream property

## ◆ IsOpen

bool CommonDeviceAPI.Android.BlueToothTransport.IsOpen

get

Get and set Is Open property.